---
title: Remote Desktop Access

#tags:
#keywords:
last_updated: 19 Aug 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/nomachine.html
---

Users can login in Merlin through a Linux Remote Desktop Session. NoMachine 
is a desktop virtualization tool. It is similar to VNC, Remote Desktop, etc. 
It uses the NX protocol to enable a graphical login to remote servers.

## Installation

NoMachine is available for PSI Windows computers in the Software Kiosk under the
name **NX Client**. Please use the latest version (at least 6.0). For MacOS and
Linux, the NoMachine client can be downloaded from https://www.nomachine.com/.

## Accessing Merlin6 NoMachine from PSI

The Merlin6 NoMachine service is located **only** in the following login nodes:

* `merlin-l-001.psi.ch`
* `merlin-l-002.psi.ch`

Below are explained all the steps necessary for configuring the access to the 
NoMachine service running on a login node.

### Creating a Merlin6 NoMachine connection

#### Creating a **New** connection

Click on the **New** button to create a new connection:

![Create New NoMachine Connection]({{ "/images/NoMachine/screen_nx1.png" }})

#### Configuring **NX** protocol

![Select NoMachine Protocol]({{ "/images/NoMachine/screen_nx2.png" }})

#### Configuring NoMachine Server Information

Select the corresponding login node server where the NoMachine service is running and
keep **4000** as the listening port; then **Continue**. 

![Configure NoMachine Server Information]({{ "/images/NoMachine/screen_nx3.png" }})

#### Configuring NoMachine Authentication Method

Choose your authentication method and **Continue**. **Password** or *Kerberos* are the recommended ones:

![Configure NoMachine Authentication Method]({{ "/images/NoMachine/screen_nx4.png" }})

#### Configuring Proxy

In Merlin6, we will check **Don't use a proxy**, and **Continue**:

![Configure NoMachine Proxy Information]({{ "/images/NoMachine/screen_nx5.png" }})

#### Configuring Connection Name

We strongly recommend to add the login node hostname, but
you are free to choose any other name for your connection:

![Configure Connection Name]({{ "/images/NoMachine/screen_nx6.png" }})

### Connecting to Merlin6 NoMachine

#### Opening an existing NoMachine connection

Double click on the NoMachine server in order to connect to it:

![Connect to a NoMachine existing connecion]({{ "/images/NoMachine/screen_nx7.png" }})

#### Authenticating (whenever necessary)

If authentication is required, you will be asked for it. The example below corresponds to **Password** 
authentication:

![NoMachine Authentication]({{ "/images/NoMachine/screen_nx8.png" }})

#### Creating/Re-Connecting Virtual Desktops

Finally, create a virtual desktop in order to get in. If a previous virtual desktop was created, you 
might be able to re-attach the session. 

![Create or Connect to a NoMachine Virtual Session]({{ "/images/NoMachine/screen_nx9.png" }})

Some hints of how to manage the resolution and windows will be shown.

![NoMachine Resolution/Window Management Hints]({{ "/images/NoMachine/screen_nx10.png" }})

### NoMachine LightDM Session Example

An example of the NoMachine session, which is based on [LightDM](https://github.com/canonical/lightdm)
X Windows:

![NoMachine Session: LightDM Desktop]({{ "/images/NoMachine/screen_nx11.png" }})

## Accessing Merlin6 NoMachine from outside PSI

### No VPN access

Access to the Merlin6 NoMachine service is possible without VPN through **'rem-acc.psi.ch'**.
Please follow the steps described in [PSI Remote Interactive Access](https://www.psi.ch/en/photon-science-data-services/remote-interactive-access) for
remote access to the Merlin6 NoMachine services. Once logged in **'rem-acc.psi.ch'**, you must then login to one of the available MErlin6 NoMachine
services.

### VPN access

Remote access is also possible through VPN, however, you **must not use 'rem-acc.psi.ch'**, and you have to connect directly
to the Merlin6 NoMachine services as if you were inside PSI. For VPN access, you should request it to the IT department by
opening a PSI Service Now ticket: 
[VPN Access (PSI employees)](https://psi.service-now.com/psisp?id=psi_new_sc_cat_item&sys_id=beccc01b6f44a200d02a82eeae3ee440).
